classification
Title: Avoid redundant call to FormatError()
Type: resource usage Stage:
Components: ctypes Versions: Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: theller Nosy List: eckhardt, theller
Priority: normal Keywords: patch

Created on 2009-01-27 10:33 by eckhardt, last changed 2009-04-25 16:52 by theller. This issue is now closed.

Files
File name Uploaded Description Edit
Python-redundant-FormatError-call.0.patch eckhardt, 2009-01-27 10:33 patch
Messages (2)
msg80641 - (view) Author: Ulrich Eckhardt (eckhardt) Date: 2009-01-27 10:33
For a background, see the developers' mailing list from 2009-01-26,
subject "FormatError() in callproc.c under win32". The attached patch
removes the redundant call to FormatError(). It also makes
SetException() a static function, since it is only used locally.
msg86530 - (view) Author: Thomas Heller (theller) * (Python committer) Date: 2009-04-25 16:52
Fixed in trunk and py3k branch, svn revisions 71906 and 71907.
Thanks for the patch.
History
Date User Action Args
2009-04-25 16:52:41thellersetstatus: open -> closed
resolution: fixed
messages: + msg86530
2009-01-27 10:33:33eckhardtcreate